PETSc version 3.17.4
Fix/Edit manual page

# VecHIPPlaceArray

Allows one to replace the GPU array in a vector with a GPU array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecHIPPlaceArray(Vec vin,const PetscScalar a[])

Not Collective

### Input Parameters

| vec | - the vector
| array | - the GPU array

### Notes

You can return to the original GPU array with a call to VecHIPResetArray() It is not possible to use VecHIPPlaceArray() and VecPlaceArray() at the same time on the same vector.

`vec` does not take ownership of `array` in any way. The user must free `array` themselves but be careful not to do so before the vector has either been destroyed, had its original array restored with `VecHIPResetArray()` or permanently replaced with `VecHIPReplaceArray()`.

### See Also

VecPlaceArray(), VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray(), VecHIPResetArray(), VecHIPReplaceArray()

### Level

developer

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages